# std::multiset::clear

From cppreference.com
< cpp‎ | container‎ | multiset

void clear(); |  |

Removes all elements from the container.

Invalidates any references, pointers, or iterators referring to contained elements. Any past-the-end iterator remains valid.

### Parameters

(none)

### Return value

(none)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Linear in the size of the container.

### See also

erase | erases elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/multiset/clear&oldid=50601"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template